> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get general ledger entries

> Get general ledger entries, along with all associated debits and credits, for the user's business



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/accounting/generalLedgerEntries
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/accounting/generalLedgerEntries:
    get:
      tags:
        - Accounting
      summary: Get general ledger entries
      description: >-
        Get general ledger entries, along with all associated debits and
        credits, for the user's business
      operationId: getGeneralLedgerEntriesV4
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GlEntryDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    GlEntryDTOV5:
      type: object
      properties:
        id:
          type: string
          description: Id of the general ledger entry
        entity:
          type: string
          description: The Tight entity to which this entry belongs
        entityId:
          type: integer
          description: Id of the entity to which this entry belongs
          format: int64
        description:
          type: string
          description: Description of this entry
        tranDate:
          type: string
          description: Date the transactions comprising this entry occurred
          format: date-time
        entryDate:
          type: string
          description: Date this entry was created
          format: date-time
        period:
          type: string
          description: The period type of this entry
          enum:
            - NORMAL
            - YEAR_END_CLOSING
            - YEAR_END_ADJUSTMENT
        transactions:
          type: array
          description: List of transactions comprising this entry
          items:
            $ref: '#/components/schemas/GlTranDTO'
        transactionsAndId:
          type: array
          writeOnly: true
          items:
            $ref: '#/components/schemas/GlTranDTO'
    GlTranDTO:
      type: object
      properties:
        accountNo:
          type: string
          description: Account number, referencing an account in the chart of accounts
        drAmount:
          type: number
          description: Accounting debit amount
        crAmount:
          type: number
          description: Accounting credit amount
        description:
          type: string
          description: Description of this transaction
        glAccountId:
          type: integer
          description: GL account id, referencing an account in the chart of accounts
          format: int64
          readOnly: true
      description: Transactions associated with this journal entry
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````